package system

import (
	"sun-panel/api/api_v1"
	"sun-panel/api/api_v1/middleware"

	"github.com/gin-gonic/gin"
)

func InitSiteCustomizeRouter(router *gin.RouterGroup) {
	api := api_v1.ApiGroupApp.ApiSystem.SiteCustomizeApi

	// 无需登录（登录页读取）
	router.POST("/system/siteCustomize/get", api.Get)

	// 管理员才能修改
	rAdmin := router.Group("", middleware.LoginInterceptor, middleware.AdminInterceptor)
	rAdmin.POST("/system/siteCustomize/set", api.Set)
}
